%bcond_with bootstrap

Summary:        Correctness annotations for Java code
Name:           jsr-305
Version:        3.0.2
Release:        6%{?dist}
License:        BSD and CC-BY
URL:            https://code.google.com/p/jsr-305
Source0:        %{name}-%{version}.tar.gz
Source1:        NOTICE-CC-BY.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap-openjdk8
%else
BuildRequires:  maven-local-openjdk8
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
%endif

BuildArch:      noarch

%description
This package contains reference implementations, test cases, and other
documents for Java Specification Request 305: Annotations for Software Defect
Detection.

%{?javadoc_package}

%prep
%autosetup
cp %{SOURCE1} NOTICE-CC-BY

%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/*" 1.6

sed -i 's|<groupId>com\.google\.code\.findbugs</groupId>|<groupId>org.jsr-305</groupId>|' ri/pom.xml
sed -i 's|<artifactId>jsr305</artifactId>|<artifactId>ri</artifactId>|' ri/pom.xml

%mvn_file :ri %{name}
%mvn_alias :ri com.google.code.findbugs:jsr305
%mvn_package ":{proposedAnnotations,tcl}" __noinstall
%pom_disable_module sampleUses
%pom_remove_parent ri
%pom_add_parent org.jsr-305:jsr-305:0.1-SNAPSHOT ri
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin ri
%pom_remove_plugin org.apache.maven.plugins:maven-source-plugin ri
%pom_remove_plugin org.apache.maven.plugins:maven-javadoc-plugin ri
%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin ri

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license ri/LICENSE NOTICE-CC-BY
%doc sampleUses

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-6
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.0.2-5
- Disable bootstrap

* Wed Apr 12 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.0.2-4
- Rewritten spec for maven 3.8.6

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 24 2023 rockerzhu <rockerzhu@tencent.com> - 3.0.2-2
- Rebuild

* Tue Dec 20 2022 Zhao Zhen <jeremiazhao@tencent.com> - 3.0.2-1
- initial
